Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Unable to install Metron with HDP 2.5

Unable to install Metron with HDP 2.5

New Contributor

I am trying to install metron 0.4.0 also with Ambari on bare metal.

Following this article:

https://cwiki.apache.org/confluence/display/METRON/Metron+with+HDP+2.5+bare-metal+install

I built the metron code from

https://github.com/apache/incubator-metron

copied the rpms to /localrepo folder.

At the install step in Ambari cluster set up I encountered the error:

failure: repodata/repomd.xml from METRON-0.4.0: [Errno 256] No more mirrors to try. file:///localrepo/repodata/repomd.xml: [Errno 14] curl#37 - "Couldn't open file /localrepo/repodata/repomd.xml"

Full Error is attached.metron-install-error.txt

Please advise if there are compatibility issues with HDP 2.5 and Metron 0.4.0

Thanks,

Bala

9 REPLIES 9

Re: Unable to install Metron with HDP 2.5

Super Guru

@Balakrishna Dhanekula - This is yum issue. Can you please double check if you local repo setup correctly? once you have repo setup with correct metadata, you should be able to move forward.

Re: Unable to install Metron with HDP 2.5

New Contributor

@Kuldeep Kulkarni

After building rpm files I created /localrepo folder and copied all the rpm files into it below are the list of files:

metron-common-0.4.0-201704260312.noarch.rpm

metron-parsers-0.4.0-201704260312.noarch.rpm

metron-elasticsearch-0.4.0-201704260312.noarch.rpm

metron-data-management-0.4.0-201704260312.noarch.rpm

metron-solr-0.4.0-201704260312.noarch.rpm

metron-enrichment-0.4.0-201704260312.noarch.rpm

metron-indexing-0.4.0-201704260312.noarch.rpm

metron-pcap-0.4.0-201704260312.noarch.rpm

metron-profiler-0.4.0-201704260312.noarch.rpm

metron-config-0.4.0-201704260312.noarch.rpm

Re: Unable to install Metron with HDP 2.5

New Contributor

Ok I have done same as you suggested but still not succeed, got same error which is described above. Kindly help me if you have any idea.

Re: Unable to install Metron with HDP 2.5

New Contributor

I think you are missing some rpm's are these the only rpm's in the localrepo? here's what i have in my localrepo

Metron-common, metron-config,metron-data-management, metron-elasticsearch, metron-enrichment, metron-indexing, metron-parser, metron-pcap, metron-profiler, metron,rest, metron-solr

Try running createrepo /localrepo again and see if that fixes the issue if not try running mvn clean install followed by cd metron-deployment/packaging/docker/rpm-docker and follow the instructions in

https://cwiki.apache.org/confluence/display/METRON/Metron+0.4.0+with+HDP+2.5+bare-metal+install+on+C...

Re: Unable to install Metron with HDP 2.5

New Contributor

Did you run "createrepo /localrepo"?

Also, the installation guides have been updated for 0.4.0. Can you try this: https://cwiki.apache.org/confluence/display/METRON/Metron+0.4.0+with+HDP+2.5+bare-metal+install+on+C...

Re: Unable to install Metron with HDP 2.5

New Contributor

Yes you are right, createrepo was missed.

Re: Unable to install Metron with HDP 2.5

New Contributor

hi Balakrishna,

I suggest you drop what you're doing with the community metron installation and go to

https://docs.hortonworks.com/HDPDocuments/HCP1/HCP-1.1.0/index.html

and follow instructions on installing HCP which is the HortonWorks cybersecurity package (latest Metron version)

Although the installation is much faster and easier than the painful Metron-0.4.0, HCP does not install everything for you. there are a lot of manual steps to do afterward.

Frank

Re: Unable to install Metron with HDP 2.5

New Contributor

Can you let me know which problems you have with https://cwiki.apache.org/confluence/display/METRON/Metron+0.4.0+with+HDP+2.5+bare-metal+install+on+C...? I've made the guides as simple as possible, but I'm open for additional suggestion :)

Re: Unable to install Metron with HDP 2.5

New Contributor

Hi,

I am getting below error while building rpm"mvn clean install -DskipTests -PHDP-2.5.0.0" . Below are error or I can proceed:

error:

metron-profiler.noarch: W: non-standard-dir-in-usr metron
Your package is creating a non-standard subdirectory in /usr. The standard
directories are: X11R6, X386, bin, games, include, lib, lib64, local, sbin,
share, src, spool, tmp.  

(none): E: error while reading SRPMS/metron: 'SRPMS/metron'
11 packages and 1 specfiles checked; 0 errors, 34 warnings.

Similar warnings for profiler,pcap,parser etc..

Build says :

[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 12:15 min
[INFO] Finished at: 2017-07-25T13:22:48+05:30
[INFO]
[INFO] Final Memory: 21M/414M
Don't have an account?
Coming from Hortonworks? Activate your account here